package com.junmp.jyzb.service;

import com.junmp.jyzb.api.bean.req.RepairUnitReq;
import com.junmp.jyzb.entity.RepairUnit;
import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;

/**
* @author lxh专属坐骑
* @description 针对表【base_repair_unit(维修单位表)】的数据库操作Service
* @createDate 2023-10-16 09:35:11
*/
public interface RepairUnitService extends IService<RepairUnit> {

    String addRepairUnit(RepairUnitReq req);

    boolean updateRepairUnit(RepairUnitReq req);

    List<RepairUnit> showRepairUnitList(RepairUnitReq req);

    PageResult<RepairUnit> showRepairUnitPage(RepairUnitReq req);

    boolean delRepairUnit(RepairUnitReq req);
}
